What version of Itch do I need to install to use the Twitch controller?

Applies to: Twitch

The version of Itch needed to use the Twitch unit will ship in the box alongside all other relevant information on using it.

There will be updated versions linked on our website and on the serato website in the future:



Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request